API ReferenceapipaymentsGET /v1/payments/methods/{customer_id}

GET /v1/payments/methods/\{customer_id\}

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • customer_id (string) required

Responses

200 Payment methods list

{
  "type": "object",
  "properties": {
    "methods": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "card": {
            "type": "object",
            "properties": {
              "brand": {
                "type": "string"
              },
              "last4": {
                "type": "string"
              },
              "exp_month": {
                "type": "number"
              },
              "exp_year": {
                "type": "number"
              }
            },
            "required": [
              "brand",
              "last4",
              "exp_month",
              "exp_year"
            ]
          },
          "is_default": {
            "type": "boolean"
          },
          "created_at": {
            "type": "number"
          }
        },
        "required": [
          "id",
          "type",
          "is_default",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "methods"
  ]
}

502 Stripe error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/payments/methods/{customer_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"